<?php
class detect_ad_block {
    private $settings = array();

    public function __construct() {
        $this->settings = get_option('anti_block_settings');
    }

    public function detect() {
        if (!empty($this->settings)) {
            ?>
            <div id="no_ads">
                <h1><?php echo htmlentities($this->settings['title'], ENT_QUOTES) ?></h2>
                <p><?php echo nl2br(htmlentities($this->settings['message'], ENT_QUOTES)) ?></p>
                <div id="msg_buttons">
                    <ul>
                        <li><input class="adbtns" onclick="location.reload();" type="button" value="<?php echo htmlentities($this->settings['okay_btn'], ENT_QUOTES) ?>"></li>
                        <li><input class="adbtns" id="close_anti_block" type="button" value="<?php echo htmlentities($this->settings['no_btn'], ENT_QUOTES) ?>"></li>
                    </ul>
                </div>
            </div>
            <script>
                jQuery(document).ready(function() {
                    if (jQuery("#advert").length === 0) {
                         jQuery("#no_ads").abModal({closeButton : "#close_anti_block"});
                    }
                });
            </script>
            <?php
        }
    }
}
